%define upstream_name	 SQL-Translator
%define upstream_version 0.11021


%?perl_default_filter
%global __requires_exclude %{?__requires_exclude:%__requires_exclude|}perl\\(:\\)

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 3

Summary:    Manipulate structured data definitions (SQL and more)
License:    GPL
Group:      Development/Perl
Source0:    ftp://ftp.perl.org/pub/CPAN/modules/by-module/SQL/%{upstream_name}-%{upstream_version}.tar.gz
Url:        http://search.cpan.org/dist/%{upstream_name}

BuildRequires: perl(Carp::Clan)
BuildRequires: perl(DBI)
BuildRequires: perl(Digest::SHA)
BuildRequires: perl(ExtUtils::MakeMaker) >= 6.590.0
BuildRequires: perl(File::ShareDir) >= 1.0.0
BuildRequires: perl(List::MoreUtils) >= 0.90.0
BuildRequires: perl(Moo) >= 1.0.3
BuildRequires: perl(Package::Variant) >= 1.1.1
BuildRequires: perl(Parse::RecDescent) >= 1.967.9
BuildRequires: perl(Sub::Quote)
BuildRequires: perl(Test::Differences)
BuildRequires: perl(Test::Exception) >= 0.310.0
BuildRequires: perl(Test::More) >= 0.880.0
BuildRequires: perl(Try::Tiny) >= 0.40.0
BuildRequires: perl(XML::Writer) >= 0.500.0
BuildRequires: perl(YAML) >= 0.660.0
BuildArch:  noarch

%{?perl_default_filter}

%description
SQL::Translator is a group of Perl modules that converts
vendor-specific SQL table definitions into other formats, such as
other vendor-specific SQL, ER diagrams, documentation (POD and HTML),
XML, and Class::DBI classes. The main focus of SQL::Translator is SQL,
but parsers exist for other structured data formats, including Excel
spreadsheets and arbitrarily delimited text files. Through the
separation of the code into parsers and producers with an object model
in between, it's possible to combine any parser with any producer, to
plug in custom parsers or producers, or to manipulate the parsed data
via the built-in object model. Presently only the definition parts of
SQL are handled (CREATE, ALTER), not the manipulation of data (INSERT,
UPDATE, DELETE).

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make

%check
%make test

%install
%makeinstall_std

%files
%defattr(0644,root,root,0755)
%doc Changes META.yml MYMETA.yml README
%attr(0755,root,root) %{_bindir}/sqlt*
%{perl_vendorlib}/SQL
%{perl_vendorlib}/Test
%{perl_vendorlib}/auto
%{_mandir}/man*/*


%changelog
* Sun Jun 19 2016 pterjan <pterjan> 0.110.210-3.mga6
+ Revision: 1033337
- Rebuild for perl 5.22.2

* Thu Feb 18 2016 umeabot <umeabot> 0.110.210-2.mga6
+ Revision: 966864
- Mageia 6 Mass Rebuild

* Sun Jun 28 2015 sander85 <sander85> 0.110.210-1.mga6
+ Revision: 846987
- update to 0.11021

* Wed Oct 15 2014 umeabot <umeabot> 0.110.200-5.mga5
+ Revision: 740051
- Second Mageia 5 Mass Rebuild

* Tue Sep 30 2014 tv <tv> 0.110.200-4.mga5
+ Revision: 733411
- add exclude

* Fri Sep 26 2014 tv <tv> 0.110.200-3.mga5
+ Revision: 724806
- redo excludes

* Tue Sep 16 2014 umeabot <umeabot> 0.110.200-2.mga5
+ Revision: 686148
- Mageia 5 Mass Rebuild

  + tv <tv>
    - use %%global for req/prov exclude
    - autoconvert to new prov/req excludes

* Wed Sep 03 2014 sander85 <sander85> 0.110.200-1.mga5
+ Revision: 671402
- update to 0.11020

* Fri Feb 07 2014 sander85 <sander85> 0.110.180-1.mga5
+ Revision: 585316
- update to 0.11018

* Fri Oct 18 2013 umeabot <umeabot> 0.110.160-3.mga4
+ Revision: 514556
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 0.110.160-2.mga3
+ Revision: 372441
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Mon Oct 15 2012 jquelin <jquelin> 0.110.160-1.mga3
+ Revision: 306245
- update to 0.11016

* Wed Sep 26 2012 jquelin <jquelin> 0.110.130-1.mga3
+ Revision: 298111
- update to 0.11013

* Wed Jul 04 2012 jquelin <jquelin> 0.110.120-1.mga3
+ Revision: 267512
- update to 0.11012

* Fri Jun 08 2012 kharec <kharec> 0.110.110-1.mga3
+ Revision: 257908
- update to 0.11011

* Thu Oct 13 2011 jquelin <jquelin> 0.110.100-1.mga2
+ Revision: 154454
- update to 0.11010

* Mon Sep 26 2011 jquelin <jquelin> 0.110.90-1.mga2
+ Revision: 148200
- update to 0.11009

* Mon Jun 20 2011 jquelin <jquelin> 0.110.80-1.mga2
+ Revision: 110424
- update to 0.11008

* Mon Jan 24 2011 jquelin <jquelin> 0.110.70-1.mga1
+ Revision: 37201
- mageia rebuild
- imported package perl-SQL-Translator

